<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="css/style.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css">
    <!--link rel="stylesheet" href="css/all.min.css"-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.2/font/bootstrap-icons.css">
    <title>Our restaurant</title>
</head>

<body>
    <div class="navbar navbar-expand-md  navbar-dark text-white fixed-top" id="first1">
        <div class="container" >
            <!--a href="#" class="navbar-brand">bootstrap tutorial</a-->

            <img src="/img/logo.jpg" class="img-responsive" width="150" height="67">


            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#mainmenu">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="mainmenu">
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item"><a href="" class="nav-link">Get started</a></li>
                    <li class="nav-item dropdown"><a href="#" class="nav-link dropdown-toggle"
                            data-bs-toggle="dropdown">تسجيل الدخول</a>
                        <ul class="dropdown-menu">
                            <li><a href="#log" class="dropdown-item">تسجيل الدخول</a></li>
                            <li><a href="#log" class="dropdown-item">انشاء حساب</a></li>
                        </ul>
                    </li>
                    <li class="nav-item"><a href="#reservation" class="nav-link">احجز طاولتك</a></li>
                    <li class="nav-item"><a href="#features" class="nav-link">قائمة الطعام</a></li>

                </ul>
            </div>

        </div>
    </div>




    <!-- HERO -->
    <section id="hero" class=" text-center text-sm-start py-5" style="background:#f9e866;">
        <div class="container">
            <div class="d-sm-flex align-items-center justify-content-center">
                <div class="py-3">
                    <h2 class="display-2">استمتع <span class="text-danger">باشهى المأكولات </span>في مطعم
                        <span class="text-success"><abbr title="World Health Organization">المشرقة
                            </abbr></span>
                    </h2>
                    <p class="py-1 lead">اطلب ما تريد من الاصناف المتنوعة
                    </p>
                    <button class="btn btn-success">Get Started</button>

                </div>
                <img class="img-fluid w-50 py-5" src="/img/hero.svg">
            </div>
        </div>
    </section>


    <!--login and registration-->
    <section style="background:#f9e866;">
    <div class="container mx-5" id="log" style="background:#f9e866 ;">
        <div class="row justify-content-center align-items-center inner-row">
            <div class="col-md-5">
                <div class="form-box login-form p-5">
                    <div class="form-title">
                        <h2 class="fw-bold mb-3">تسجيل الدخول</h2>
                    </div>
                    <form id="oneform" action="">
                        <div class="form-floating mb-3">
                            <input type="email" class="form-control form-control-sm" placeholder="email"
                                id="floatingInput">
                            <label for="floatingInput">الايميل</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="password" class="form-control form-control-sm" placeholder="password"
                                id="floatingPassword">
                            <label for="floatingPassword">كلمة المرور</label>
                        </div>
                        <div class="mt-3">
                            <a id="login-btn" href="#" class="btn btn-info">تسجيل الدخول</a>
                        </div>
                    </form>

                    <script>
                        let oneform = document.getElementById("oneform");
                        let btn = document.querySelector("#login-btn");
                        let email = document.querySelector("#floatingInput");
                        let password = document.querySelector("#floatingPassword");
                        btn.addEventListener("click", function() {
                            fetch("http://127.0.0.1:8000/api/login", {
                                method: "POST",
                                headers: {
                                    'Content-Type': 'application/json',
                                    'Accept': 'application/json'
                                },
                                body: JSON.stringify({
                                    email: email.value,
                                    password: password.value
                                })
                            })
                            .then((res) => {
                                return Promise.all([res.json(), res.status])
                            })
                            .then(([response, status]) => {
                                if(status == 400) {
                                    alert(response.message)
                                } else {
                                    localStorage.setItem("user_id", response.id);
                                    window.location.href="/logAndRegist.html";
                                }
                            })
                        })
                    </script>
                    <div class="mt-3">
                        <span> لا تملك حساب؟</span><button
                            class="p-0 border-0 bg-transparent primaryColor signup-show">Sign
                            up</button>
                    </div>
                </div>

                <div class="form-box registration-form p-5">
                    <div class="form-title">
                        <h2 class="fw-bold mb-3">أنشئ حساب</h2>
                    </div>
                    <form action="">
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control form-control-sm" placeholder="first Name"
                                id="registerFirstName">
                            <label for="floatingInput">الاسم الاول</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control form-control-sm" placeholder="last Name"
                                id="registerLastName">
                            <label for="floatingInput">الاسم الاخير</label>
                        </div>

                        <div class="form-floating mb-3">
                            <input type="email" class="form-control form-control-sm" placeholder="email"
                                id="registerEmail">
                            <label for="floatingInput">الايميل</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="password" class="form-control form-control-sm" placeholder="password"
                                id="registerPassword">
                            <label for="floatingPassword">كلمة المرور</label>
                        </div>
                        <div class="mt-3">
                            <a id="registerBtn" href="#" class="btn btn-info">انشىء حساب</a>
                        </div>
                    </form>
                    <script>
                        let registerBtn = document.querySelector("#registerBtn");
                        let FirstName = document.querySelector("#registerFirstName");
                        let LastName = document.querySelector("#registerLastName");
                        let Email = document.querySelector("#registerEmail");
                        let Password = document.querySelector("#registerPassword");
                        registerBtn.addEventListener("click", function() {
                            fetch("http://127.0.0.1:8000/api/users/create", {
                                method: "POST",
                                headers: {
                                    'Content-Type': 'application/json',
                                    'Accept': 'application/json'
                                },
                                body: JSON.stringify({
                                    name: FirstName.value + " " + LastName.value,
                                    email: Email.value,
                                    password: Password.value
                                })
                            })
                            .then((res) => {
                                return Promise.all([res.json(), res.status])
                            })
                            .then(([response, status]) => {
                                localStorage.setItem("user_id", response.user.id);
                                window.location.href="/logAndRegist.html";
                            })
                        })
                    </script>
                    <div class="mt-3">
                        <span> تملك حساب مسبقا؟</span><button
                            class="p-0 border-0 bg-transparent primaryColor login-show">سجل الدخول
                        </button>
                    </div>
                </div>


            </div>
        </div>
    </div>
</section>
    <!-- SERVICES -->
    <section id="features" class="py-5" style="background:#f9e866;">
        <div class="container" id="mealContainer">
            <h2 class="text-center mb-3">
                قائمة الطعام
            </h2>

            <div class="row text-center">
                <div class="col-sm">
                    <div class="card bg-dark text-light mb-3">
                        <img src="/img/pizza.jpg" alt="" class="card-img-top">

                        <div class="card-body text-center">

                            <h4 class="card-title text-success">بيتزا</h4>
                            <div class="card-text">6000 sp</div>
                          
                            
                        </div>
                    </div>
                </div>
                <div class="col-sm">
                    <div class="card bg-dark text-light mb-3">
                        <img src="/img/fish.jpg" alt="" class="card-img-top">
                        <div class="card-body text-center">
                            <h4 class="card-title text-success">سمك</h4>
                            <div class="card-text">9000 sp</div>
                         
                        </div>
                    </div>
                </div>
                <div class="col-sm">
                    <div class="card bg-dark text-light mb-3">
                        <img src="/img/grilled chicken.jpg" alt="" class="card-img-top">
                        <div class="card-body text-center">
                            <h4 class="card-title text-success">فروج مشوي</h4>
                            <div class="card-text">15.000 sp</div>
                          
                        </div>
                    </div>
                </div>
            </div>
            <div class="row text-center">
                <div class="col-sm">
                    <div class="card bg-dark text-light mb-3">
                        <img src="/img/rice with chicken.jpg" alt="" class="card-img-top">

                        <div class="card-body text-center">
                            <h4 class="card-title text-success">ارز مع دجاج</h4>
                            <div class="card-text">20.000 sp</div>
                           
                        </div>
                    </div>
                </div>
                <div class="col-sm">
                    <div class="card bg-dark text-light mb-3">
                        <img src="/img/salad.jpg" alt="" class="card-img-top">
                        <div class="card-body text-center">
                            <h4 class="card-title text-success">سلطة</h4>
                            <div class="card-text">4000 sp</div>
                           
                        </div>
                    </div>
                </div>
                <div class="col-sm">
                    <div class="card bg-dark text-light mb-3">
                        <img src="/img/burger.jpg" alt="" class="card-img-top">
                        <div class="card-body text-center">
                            <h4 class="card-title text-success">برغر</h4>
                            <div class="card-text">7000 sp</div>
                           
                        </div>
                    </div>
                </div>
            </div>
            <div class="row text-center">
               
                <div class="col-sm">
                    <div class="card bg-dark text-light mb-3">
                        <img src="/img/spagetti.jpeg" alt="" class="card-img-top">
                        <div class="card-body text-center">
                            <h4 class="card-title text-success">معكرونة</h4>
                            <div class="card-text">4000 sp</div>
                           
                        </div>
                    </div>
                </div>
                <div class="col-sm">
                    <div class="card bg-dark text-light mb-3">
                        <img src="/img/gateau.jpg" alt="" class="card-img-top">
                        <div class="card-body text-center">
                            <h4 class="card-title text-success">حلويات</h4>
                            <div class="card-text">7000 sp</div>
                           
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>




    <!-- why you choose us-->
    <section id="feature" class="bg-cover">
        <div class="container">
            <div class="row ">
                <div class="col-12 intro-text  ">
                    <h1 class="text-white text-center">لماذا تختارنا؟</h1>
                    <p class="text-white text-center">تعرف على الميزات التي يتمتع بها مطعم المشرقة حتى يكون خياركم الأول و الأفضل
                        دائما</p>
                </div>
            </div>
            <div class="row ">
                <div class="col-lg-3 col-sm-6">
                    <div class="feature py-5 px-4 text-center">
                        <div class="feature-icon">
                            <i class="fa fa-wifi"></i>
                        </div>
                        <h4 class="text-white mt-4 mb-2">free wifi</h4>
                        <p class="text-white">يتوفر لدينا شبكة انترنت على مدار اليوم </p>
                    </div>
                </div>
                <div class="col-lg-3 col-sm-6">
                    <div class="feature py-5 px-4 text-center">
                        <div class="feature-icon">

                            <i class="fa fa-map-marker"></i>


                        </div>
                        <h4 class="text-white mt-4 mb-2">توصيل سريع</h4>
                        <p class="text-white">يقوم فريقنا المختص بتوصيل الخدمات بايصال ما تطلبه اينما كنت</p>
                    </div>
                </div>
                <div class="col-lg-3 col-sm-6">
                    <div class="feature py-5 px-4 text-center">
                        <div class="feature-icon">


                            <i class="fa fa-heart"></i>

                        </div>
                        <h4 class="text-white mt-4 mb-2">عاملين ودودين</h4>
                        <p class="text-white">يقوم العاملين بخدمة الزبائن على أكمل وجه</p>
                    </div>
                </div>
                <div class="col-lg-3 col-sm-6">
                    <div class="feature py-5 px-4 text-center">
                        <div class="feature-icon">



                            <i class="fa fa-star"></i>

                        </div>
                        <h4 class="text-white mt-4 mb-2">تقييم عالي</h4>
                        <p class="text-white"> حاز المطعم على اعجاب جميع المرتادين</p>
                    </div>
                </div>
            </div>
        </div>
    </section>


    <div class="row">
        <div class="col-12 intro-text">
            <div class="chair">
            <h1 class="text-center">احجز طاولتك</h1>
            <h3 class="text-center">اختر الموعد المناسب لك و احجز طاولتك و انت في منزلك</h3>
            <div class="form-group col-md-12">
                <button type="button" class="btn btn-warning" id="tablebtn"> تفاصيل توزع الطاولات</button>
            </div>
        </div>
        </div>
        </div>

        <script>
            let tablebtn = document.querySelector("#tablebtn");
            tablebtn.addEventListener("click", function() {
                alert(":الطاوله 1"+"\n"+"بجانب الشرفة وعدد الكراسي 5"+"\n"+"الطاولة 2"+"\n"+"بجانب الشرفة وعدد الكراسي 4"+"\n"+"الطاولة 3"+"\n"+" في المنتصف وعدد الكراسي 4" +"\n"+"الطاولة 4"+"\n"+" بجانب النافذة وعدد الكراسي 3"+"\n"+"الطاولة 5"+"\n"+" بجانب الباب وعدد الكراسي 3");
              
            })
        </script>


   <!--Reservation-->
   <section id="reservation">
    <div class="container">
        <div class="row">
            <!--div class="col-12 intro-text">
                <div class="chair">
                <h1 class="text-center">احجز طاولتك</h1>
                <h3 class="text-center">اختر الموعد المناسب لك و احجز طاولتك و انت في منزلك</h3>
            </div>
            </div>
            </div-->
        </div>
        <!-- <form action="#" class="row justify-content-center">
            <div class="col-lg-8">
                <div class="row">
                    <div class="form-group col-md-6">
                        <input type="text" class="form-control" placeholder="الاسم الاول">
                    </div>
                    <div class="form-group col-md-6">
                        <input type="text" class="form-control" placeholder="الاسم الثاني">
                    </div>
                    <div class="form-group col-md-6">
                        <input type="text" class="form-control" placeholder="عدد الاشخاص">
                    </div>
                    <div class="form-group col-md-6">
                        <input type="email" class="form-control" placeholder="الايميل">
                    </div>
                    <div class="form-group col-md-6">
                        <input type="date" class="form-control" placeholder="تاريخ الحجز">
                    </div>
                    <div class="form-group col-md-6">
                        <input type="time" class="form-control" placeholder="وقت الحجز">
                    </div>
                    <div class="form-group col-md-12">
                         <textarea name="" id="" cols="30" rows="4" class="form-control" placeholder="تفاصيل الحجز"></textarea>
                    </div>
                    <div class="form-group col-md-12">
                        <a href="#" class="btn btn-brand"> ارسال</a>
                    </div>





                </div>
            </div>
        </form> -->
    </div>
   </section>



   

    <!--Footer-->
   <footer>
<div class="footer-top" >
    <div class="container">
        <div class="row">
            <div class="col-lg-4">
                <img src="/img/logo.jpg" class="img-responsive" width="150" height="67">
            </div>
            <div class="col-lg-3">
                <h6  >اتصل بنا</h6>
                <p class="text-white">telephone:+(963)4850205</p>
                <p class="text-white">Email:www.mashraqa.com</p>
                <p class="mb-0 text-white">address:lattakia,jableh,beit yashout street</p>
            </div>
            <div class="col-lg-3">
                <h6 >ساعات الافتتاح</h6>
                <p class="text-white">السبت-الاربعاء :من 9 صباحا حتى 10 مساء</p>
                <p class="text-white">الخميس-الجمعة :من11 صباحا حتى 10 مساء</p>
               
            </div>
        </div>
    </div>
</div>




   </footer>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
        crossorigin="anonymous"></script>

    <script>
        // $('.signup-show').addEventListener("click",function () {
        //     alert("hi")
        // });
        // $('.login-show').click(function () {
        //     $('.login-form').show();
        //     $('.registration-form').hide();

        // });

        document.querySelector('.signup-show').addEventListener("click", function () {
            document.querySelector('.registration-form').style.display="block";
            document.querySelector('.login-form').style.display="none";
        });

        document.querySelector('.login-show').addEventListener("click", function () {
            document.querySelector('.registration-form').style.display="none";
            document.querySelector('.login-form').style.display="block";
        })

    </script>
    <script src="index.js"></script>
</body>

</html>